Bug 1006680 - (CVE-2013-4327) CVE-2013-4327 systemd: insecure calling of polkit
CVE-2013-4327 systemd: insecure calling of polkit
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130918,repo...
: Security
Depends On: 1005142 1009544
Blocks: 1002376
  Show dependency treegraph
 
Reported: 2013-09-11 01:45 EDT by Huzaifa S. Sidhpurwala
Modified: 2015-10-15 14:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-03 13:49:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
systemd patch (4.08 KB, patch)
2013-09-11 02:00 EDT, Huzaifa S. Sidhpurwala
no flags Details | Diff

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-09-11 01:45:06 EDT
Sebastian Krahmer reported a security issue was found in polkit (CVE-2013-4288 bz 1002375).

It was found that systemd was vulnerable to this issue as well, since it communicated to polkit authority using an unsafe DBUS interface. 

This issue has been assigned CVE-2013-4327
Comment 1 Huzaifa S. Sidhpurwala 2013-09-11 02:00:29 EDT
Created attachment 796254 [details]
systemd patch
Comment 2 Vincent Danen 2013-09-18 11:16:44 EDT
This is now public:

http://www.openwall.com/lists/oss-security/2013/09/18/4
Comment 3 Vincent Danen 2013-09-18 11:28:21 EDT
Created systemd tracking bugs for this issue:

Affects: fedora-all [bug 1009544]
Comment 4 Fedora Update System 2013-09-21 04:38:17 EDT
systemd-204-15.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-09-22 20:02:32 EDT
systemd-201-2.fc18.8 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-09-22 20:20:54 EDT
systemd-207-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Zbigniew Jędrzejewski-Szmek 2013-12-03 13:49:47 EST
Ooops, seems I forgot to check 'Close bugs when update is stable'.

Note You need to log in before you can comment on or make changes to this bug.